Commit 8ee62d84 authored by Leo's avatar Leo Committed by Francesco Colista

main/bcache-tools: modernize, fix license

parent 5e1d9ad7
# Maintainer:
# Maintainer:
pkgname=bcache-tools
pkgver=1.0.8
pkgrel=1
pkgrel=2
pkgdesc="tools for managing bcache"
url="https://bcache.evilpiepirate.org/"
arch="all"
license="GPL"
depends=""
depends_dev=""
makedepends="$depends_dev eudev-dev util-linux-dev linux-headers coreutils"
install=""
license="GPL-2.0-only"
makedepends="eudev-dev util-linux-dev linux-headers coreutils"
subpackages="$pkgname-doc"
source="$pkgname-$pkgver.tar.gz::https://github.com/g2p/bcache-tools/archive/v$pkgver.tar.gz
gcc5.patch
"
_builddir="$srcdir"/bcache-tools-$pkgver
prepare() {
local i
cd "$_builddir"
for i in $source; do
case $i in
*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
esac
done
}
build() {
cd "$_builddir"
make || return 1
cd "$builddir"
make
}
package() {
cd "$_builddir"
mkdir -p "$pkgdir"/usr/sbin
mkdir -p "$pkgdir"/usr/share/man/man8
mkdir -p "$pkgdir"/lib/udev/rules.d
make DESTDIR="$pkgdir" install || return 1
make DESTDIR="$pkgdir" install
}
md5sums="d1632a7c37214e0aa38f3cf95624fa46 bcache-tools-1.0.8.tar.gz
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment